## matmult

#### OS/161 Reference Manual

### Name

matmult - baseline VM stress test

### Synopsis

/testbin/matmult

### Description

matmult multiplies two large matrices together and checks the result. Hopefully this will help detect bugs in the VM system.

The version for OS/161 has been gimmicked to be less efficient space-wise than normal matrix multiplication. This allows it to both take up an interesting amount of memory and run in a non-boring amount of time.

### Requirements

matmult uses the following system calls:

- write
- _exit

matmult should run correctly once the VM system assignment is complete.